Skip to main content
POST
/
v1
/
checkout
/
sessions
/
{id}
/
expire
Expire a checkout session
curl --request POST \
  --url https://api.plexospay.com/v1/checkout/sessions/{id}/expire \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plexospay.com/v1/checkout/sessions/{id}/expire"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plexospay.com/v1/checkout/sessions/{id}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "cs_abc123",
  "url": "https://pay.plexospay.com/cs_abc123",
  "amount": "30000",
  "returnUrl": "<string>",
  "completionUrl": "<string>",
  "customerId": "<string>",
  "paymentIntentId": "<string>",
  "items": [
    {
      "id": "<string>",
      "productId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "quantity": 123,
      "unitPrice": "<string>"
    }
  ],
  "metadata": {},
  "expiresAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Response

200 - application/json

Checkout session expired

id
string
Example:

"cs_abc123"

url
string
Example:

"https://pay.plexospay.com/cs_abc123"

amount
string
Example:

"30000"

currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
status
enum<string>
Available options:
OPEN,
COMPLETED,
EXPIRED
returnUrl
string | null
completionUrl
string | null
customerId
string | null
paymentIntentId
string | null
items
object[]
metadata
object | null

Arbitrary key-value metadata (max 50 keys)

expiresAt
string<date-time>
createdAt
string<date-time>
updatedAt
string<date-time>